%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-h11
Version:       0.14.0
Release:       3mamba
Summary:       A pure-Python, bring-your-own-I/O implementation of HTTP/1.1
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/python-hyper/h11
Source:        https://pypi.debian.net/h11/h11-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n h11-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 0.14.0-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sun Sep 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.0-2mamba
- rebuilt with python 3.10

* Mon Oct 03 2022 Automatic Build System <autodist@mambasoft.it> 0.14.0-1mamba
- automatic version update by autodist

* Sun Oct 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.0-1mamba
- package created using the webbuild interface
